aboutsummaryrefslogtreecommitdiff
path: root/package/pulseview
diff options
context:
space:
mode:
authorGravatar Gustavo Zacarias <gustavo@zacarias.com.ar>2015-11-13 15:05:55 -0300
committerGravatar Peter Korsgaard <peter@korsgaard.com>2015-11-14 09:39:48 +0100
commit5fcd6c4a3aed1a7ef7e5f27fa4c2b59eef7374f9 (patch)
treecdf1bedd4629fb6cccff7a357e0fda5338b70d3a /package/pulseview
parent36862c71a82dd29db14508b5d37c816b33f9463b (diff)
downloadbuildroot-5fcd6c4a3aed1a7ef7e5f27fa4c2b59eef7374f9.tar.gz
buildroot-5fcd6c4a3aed1a7ef7e5f27fa4c2b59eef7374f9.tar.bz2
glibmm: bump to version 2.46.1
Adjust pulseview/libsigrok for the gcc >= 4.8 dependency. Line wrap comment depends for pulseview. Drop redundant libsigrok depend on comment for libsigrok++. Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
Diffstat (limited to 'package/pulseview')
-rw-r--r--package/pulseview/Config.in7
1 files changed, 4 insertions, 3 deletions
diff --git a/package/pulseview/Config.in b/package/pulseview/Config.in
index e6ddc211e4..bbbfd7672e 100644
--- a/package/pulseview/Config.in
+++ b/package/pulseview/Config.in
@@ -17,15 +17,16 @@ config BR2_PACKAGE_PULSEVIEW
depends on BR2_INSTALL_LIBSTDCPP
depends on BR2_PACKAGE_BOOST_ARCH_SUPPORTS
# libsigrok
- depends on BR2_TOOLCHAIN_GCC_AT_LEAST_4_7
+ depends on BR2_TOOLCHAIN_GCC_AT_LEAST_4_8
help
PulseView is a Qt based logic analyzer, oscilloscope
and MSO GUI for sigrok.
http://sigrok.org/wiki/PulseView
-comment "pulseview needs a toolchain w/ wchar, threads, C++, gcc >= 4.7"
+comment "pulseview needs a toolchain w/ wchar, threads, C++, gcc >= 4.8"
depends on BR2_USE_MMU
depends on BR2_PACKAGE_QT5
depends on BR2_PACKAGE_BOOST_ARCH_SUPPORTS
- depends on !BR2_USE_WCHAR || !BR2_TOOLCHAIN_HAS_THREADS || !BR2_INSTALL_LIBSTDCPP || !BR2_TOOLCHAIN_GCC_AT_LEAST_4_7
+ depends on !BR2_TOOLCHAIN_GCC_AT_LEAST_4_8 || !BR2_USE_WCHAR \
+ || !BR2_TOOLCHAIN_HAS_THREADS || !BR2_INSTALL_LIBSTDCPP